# Blob

Source:
  - constructors/extensions/prototype.js, line 2448

### Methods

#### toArrayBuffer(cb)

Source:
  - constructors/extensions/prototype.js, line 2457

##### Parameters:

Name | Type | Description
--- | --- | ---
`cb` | Blob.Blob_toArrayBuffer |

#### toURL(optionsopt) → {string}

Source:
  - constructors/extensions/prototype.js, line 2496

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---

`options`

object

<optional>

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`type` | string | <optional> |

##### Returns:

Type
  string

### Type Definitions

#### Blob_toArrayBuffer(err, data)

Source:
  - constructors/extensions/prototype.js, line 2451

##### Parameters:

Name | Type | Description
--- | --- | ---
`err` | Error |
`data` | ArrayBuffer |